package com.tuoheng.admin.service.permissions;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.admin.entity.OpPermissions;
import com.tuoheng.admin.query.RoleClientQuery;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */
public interface OpPermissionsService extends IService<OpPermissions> {
    JsonResult getRolePermissionByRoleId(RoleClientQuery query);

    JsonResult getRoleIdListByApiUrl(String apiUrl);

    JsonResult edit(OpPermissions opPermissions);

}
